Subject: Re: [PATCH 19/21] wireless: slight optimization of addr compare

From: Ding Tianhong <[email-masked]>
Date: Mon, 23 Dec 2013 22:14:07 +0800

于 2013/12/23 21:47, Felix Fietkau 写道:
> On 2013-12-23 06:11, Ding Tianhong wrote:
>> Use the recently added and possibly more efficient
>> ether_addr_equal_unaligned to instead of memcmp.
> It looks to me like all of these (including the ones in the other
> similar patches) are in places, where the address data is aligned to at
> least 16 bit. Because of this, using ether_addr_equal instead of
> ether_addr_equal_unaligned would be much better for platforms without
> CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS.
> 
> - Felix

Yes, the most of the place should use ether_addr_equal. thanks.

Regards
Ding

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html